[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# longjmp

Jump to address.

## Declaration

Source position: setjumph.inc line 24

`procedure longjmp(`
`var S: jmp_buf;`
`value: LongInt`
`);`

## Description

LongJmp jumps to the adress in the envjmp_buf, and restores the registers that were stored in it at the corresponding SetJmp call. In effect, program flow will continue at the SetJmp call, which will return value instead of 0. If a value equal to zero is passed, it will be converted to 1 before passing it on. The call will not return, so it must be used with extreme care. This can be used for error recovery, for instance when a segmentation fault occurred.

For an example, see SetJmp

## Errors

None.

## See also

SetJmp |  | Save current execution point.

Documentation generated on: Feb 26 2014